<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ForeignKeyNullifyDelegate Delegate
See Also Send Feedback

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public delegate DatabaseEntry ForeignKeyNullifyDelegate(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	DatabaseEntry foreignkey
    )

Visual Basic (Declaration)

    Public Delegate Function ForeignKeyNullifyDelegate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	foreignkey As DatabaseEntry _
    ) As DatabaseEntry

Visual C++

    public delegate DatabaseEntry^ ForeignKeyNullifyDelegate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	DatabaseEntry^ foreignkey
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry

data
  Type: BerkeleyDB..::.DatabaseEntry

foreignkey
  Type: BerkeleyDB..::.DatabaseEntry

#### Return Value

# See Also

BerkeleyDB Namespace